package frazioni;

import prog.io.ConsoleInputManager;
import prog.io.ConsoleOutputManager;

public class Main {
	static ConsoleInputManager in = new ConsoleInputManager();
	static ConsoleOutputManager out = new ConsoleOutputManager();

	private static Frazione[] leggiFrazioni() {
		Frazione f[];
		int n;
		n = in.readInt( "Quante frazioni, padrone? " );
		f = new Frazione[ n ];
		for ( int i = 0; i < n; i++ ) {
			int num = in.readInt( "Numeratore: " );
			int den = in.readInt( "Denominatore: " );
			f[ i ] = new Frazione( num, den );
		}
		return f;
	}
	
	public static void main( String[] s ) {
		char c;
		
		do {
			c = in.readChar( "Che operazione, padrone? " );
		} while ( c != '+' && c != '-' && c != '*' && c != '/' );
		
		Frazione f[] = leggiFrazioni();
		Frazione res = f[ 0 ];
		
		for ( int i = 0; i < f.length; i++ ) 
			switch( c ) {
				case '+': res = res.piu( f[ i ] ); break;
				case '-': res = res.meno( f[ i ] ); break;
				case '*': res = res.per( f[ i ] ); break;
				case '/': res = res.diviso( f[ i ] ); break;
			}
		
		out.println( "Risultato = " + res );
		
	}
	
}
